math::T2Match< T > Class Template Reference

`#include <matcher.h>`

Inheritance diagram for math::T2Match< T >:
[legend]
Collaboration diagram for math::T2Match< T >:
[legend]

## Protected Types

typedef std::list< TMatch< T > * > | TList

## Protected Member Functions

| T2Match (TMatch< T > *ALeft, TMatch< T > *ARight)

## Protected Attributes

TList | FPatterns

## Additional Inherited Members

Public Member Functions inherited from math::TMatch< T >
virtual bool | match (const TNode< T > *AExpr, TMatchRegistry< T > *AReg) const =0

## Detailed Description

### template<class T>
class math::T2Match< T >

T2Match is the base class for operators where the operands may be equivalent exchaned (+, *)

Definition at line 95 of file matcher.h.

The documentation for this class was generated from the following file:

- matcher.h